//********************************************************************************
//* mpsim.inc
//********************************************************************************

  // Debug variables used by MPSIM

#ifdef STDIO_TEST

   // Test data for stdio.c

   char InputBuffer[] = "aabbccddABCDEF112233445566778899abcdef01234567890011223344";             // Input buffer for ircontrl.c
   char OutputBuffer[BUFFER_SIZE];                               // Output  buffer

   byte InputBufferIndex = 0;                           // Input buffer index 
   byte OutputBufferIndex = 0;                          // Output buffer index
#endif

#ifdef PORTUTIL_TEST

   // Test data for timeutil.c 

   char InputBuffer[] = "S10:55:22;";                    // Input buffer
   char OutputBuffer[BUFFER_SIZE];                               // Output  buffer

   byte InputBufferIndex = 0;                           // Input buffer index
   byte OutputBufferIndex = 0;                          // Output buffer index

#endif

#ifdef TIMEUTIL_TEST

   // Test data for timeutil.c 

   char InputBuffer[] = "S10:55:22;";                    // Input buffer
   char OutputBuffer[BUFFER_SIZE];                               // Output  buffer

   byte InputBufferIndex = 0;                           // Input buffer index
   byte OutputBufferIndex = 0;                          // Output buffer index

#endif

#ifdef DISPLAY_TEST

   // Test data for keypad.c

   char InputBuffer[] = "aabbccddABCDEF112233445566778899";             // Input buffer for ircontrl.c
   char OutputBuffer[BUFFER_SIZE];                               // Output  buffer

   byte InputBufferIndex = 0;                           // Input buffer index 
   byte OutputBufferIndex = 0;                          // Output buffer index
  
#endif

#ifdef SENSRCAL_TEST

   // Test data for sensrcal.c

   char InputBuffer[] = "aabbccddABCDEF112233445566778899";             // Input buffer for ircontrl.c
   char OutputBuffer[BUFFER_SIZE];                               // Output  buffer

   byte InputBufferIndex = 0;                           // Input buffer index 
   byte OutputBufferIndex = 0;                          // Output buffer index
#endif

#ifdef SENSOR_TEST

   // Test data for sensor.c

   char InputBuffer[] = "E00;W00,0000,0100;W01,0001,0101;W02,0002,0102;C00;C01;C02;S00;F01;S01;S02;R00,R01,R02;P00;P01;P02;";             // Input buffer for ircontrl.c
   char OutputBuffer[BUFFER_SIZE];                               // Output  buffer

   byte InputBufferIndex = 0;                           // Input buffer index 
   byte OutputBufferIndex = 0;                          // Output buffer index
#endif

#ifdef IRCONTRL_TEST

   // Test data for dcmotor.c

   char InputBuffer[] = "aabbccddABCDEF112233445566778899";             // Input buffer for ircontrl.c
   char OutputBuffer[BUFFER_SIZE];                               // Output  buffer

   byte InputBufferIndex = 0;                           // Input buffer index 
   byte OutputBufferIndex = 0;                          // Output buffer index
#endif

#ifdef IRCONTRL_TEST

   // Test data for dcmotor.c

   char InputBuffer[] = "aabbccddABCDEF112233445566778899";             // Input buffer for ircontrl.c
   char OutputBuffer[BUFFER_SIZE];                               // Output  buffer

   byte InputBufferIndex = 0;                           // Input buffer index 
   byte OutputBufferIndex = 0;                          // Output buffer index
#endif

#ifdef SONYRC_TEST

   // Test data for dcmotor.c

   char InputBuffer[] = "aabbccddABCDEF112233445566778899";             // Input buffer for ircontrl.c
   char OutputBuffer[BUFFER_SIZE];                               // Output  buffer

   byte InputBufferIndex = 0;                           // Input buffer index 
   byte OutputBufferIndex = 0;                          // Output buffer index
#endif

#ifdef X10_TEST

   // Test data for x10.c

   char InputBuffer[] = "aabbccddABCDEF112233445566778899";             // Input buffer for x10.c
   char OutputBuffer[BUFFER_SIZE];                               // Output  buffer

   byte InputBufferIndex = 0;                           // Input buffer index 
   byte OutputBufferIndex = 0;                          // Output buffer index
#endif

#ifdef JOYSTICK_TEST

   // Test data for joystick.c joystick controller

   char InputBuffer[] = "W01,002B,0057,002B;R01;S01;P01;C01";             // Input buffer for joystick.c
   char OutputBuffer[BUFFER_SIZE];                               // Output  buffer

   byte InputBufferIndex = 0;                           // Input buffer index 
   byte OutputBufferIndex = 0;                          // Output buffer index
#endif

#ifdef MAX7219_TEST

   // Test data for max7219.c

   char InputBuffer[] = "aabbccddABCDEF112233445566778899";             // Input buffer for max7219.c
   char OutputBuffer[BUFFER_SIZE];                               // Output  buffer

   byte InputBufferIndex = 0;                           // Input buffer index 
   byte OutputBufferIndex = 0;                          // Output buffer index
#endif

#ifdef CLOCK_TEST  

   // Test data for clock.c

   // Command message to set current time (10/15/96 Wed=3 11:56:00)  
   // Each time/date field YYMMDDWHHMM is an ascii hex value

   char InputBuffer[] =   "96101531156";

   char OutputBuffer[BUFFER_SIZE];                               // Output  buffer

   byte InputBufferIndex = 0;                           // Input buffer index 
   byte OutputBufferIndex = 0;                          // Output buffer index
#endif

#ifdef SONAR_TEST  

   // Test data for sonar.c

   // Command message to set current time (10/15/96 Wed=3 11:56:00)  
   // Each time/date field YYMMDDWHHMM is an ascii hex value

   char InputBuffer[] =   "96101531156";

   char OutputBuffer[BUFFER_SIZE];                               // Output  buffer

   byte InputBufferIndex = 0;                           // Input buffer index 
   byte OutputBufferIndex = 0;                          // Output buffer index
#endif

#ifdef TIMERW_TEST  

   // Test data for timerw.c

   // Command message to set current time (10/15/96 Wed=3 11:56:00)  
   // Each time/date field YYMMDDWHHMM is an ascii hex value

   char InputBuffer[] =   "96101531156";
/*
;
; Number of Events (decimal)
;
             DATA "5;"
;
; Each event field value is entered as an ascii hex value 
;
;                  MMDDYYHHMMSS Port ID Action
             DATA "01179611510000AA"
             DATA "02179611520001BB"
             DATA "03179611530002CC"
             DATA "04179611540003DD"
             DATA "05179611550004EE"

;                  YYMMDDWHHMM  // Each time/data field is an ascii hex value
             DATA "96011731151"
             DATA "96021731152"
             DATA "96031731153"
             DATA "96041731154"
             DATA "96051731155"
             DATA "96061731156"
             DATA "96071731157"
             DATA "96081731158" 
*/
   char OutputBuffer[BUFFER_SIZE];                               // Output  buffer

   byte InputBufferIndex = 0;                           // Input buffer index 
   byte OutputBufferIndex = 0;                          // Output buffer index
#endif

#ifdef SW_I2C_MASTER_TEST

   // Test data for si2cmast.c 

   char InputBuffer[] = "S10:55:22;";                    // Input buffer
   char OutputBuffer[BUFFER_SIZE];                               // Output  buffer

   byte InputBufferIndex = 0;                           // Input buffer index
   byte OutputBufferIndex = 0;                          // Output buffer index

#endif

#ifdef I2C_MASTER_TEST

   // Test data for i2cmast.c 

   char InputBuffer[] = "S10:55:22;";                   // Input buffer
   char OutputBuffer[BUFFER_SIZE];                      // Output  buffer

   byte InputBufferIndex = 0;                           // Input buffer index
   byte OutputBufferIndex = 0;                          // Output buffer index

#endif

#ifdef I2C_SLAVE_TEST

   // Test data for i2cslave.c 

   char InputBuffer[] = "S10:55:22;";                   // Input buffer
   char OutputBuffer[BUFFER_SIZE];                      // Output  buffer

   byte InputBufferIndex = 0;                           // Input buffer index
   byte OutputBufferIndex = 0;                          // Output buffer index

#endif

#ifdef SPI_TEST

   // Test data for digipot.c 

   char InputBuffer[] = "S10:55:22;";                   // Input buffer
   char OutputBuffer[BUFFER_SIZE];                      // Output  buffer

   byte InputBufferIndex = 0;                           // Input buffer index
   byte OutputBufferIndex = 0;                          // Output buffer index

#endif

#ifdef CALCULATOR_TEST

   // Test data for hp45.c application
   
   //char InputBuffer[] = "12.0E2.0/";                   	// Input buffer =  12/2 = 6
   char InputBuffer[] = "3E4+";                   	// Input buffer =  3+4 = 7
   //char InputBuffer[] = "3.0E4.0+";                   // Input buffer =  3+4 = 7
   //char InputBuffer[] = "3E4+8E6+/";          			// Input buffer =  (3+4)/(8+6) = 0.5
   //char InputBuffer[] = "3.0E4.0+8.0E6.0+/";          // Input buffer =  (3+4)/(8+6) = 0.5
   //char InputBuffer[] = "4.0E3.0E2.0E1.0E5.0E8.0+";   // Input buffer =   
   //char InputBuffer[] = "5.0E4.0*";                   // Input buffer =  5 * 4
   //char InputBuffer[] = "3.0E5*E4.0E6/+";             // Input buffer =  (3 * 5) + (4 /6)
   //char InputBuffer[] = "8.0E2.0-E6.0E3.0+*";          // Input buffer =  (8-2)*(6+3)

   char OutputBuffer[BUFFER_SIZE];                      // Output  buffer

   byte InputBufferIndex = 0;                           // Input buffer index
   byte OutputBufferIndex = 0;                          // Output buffer index
  

#endif	

#ifdef MATH_TEST

   // Test data for hp45.c application
   
   //char InputBuffer[] = "12.0E2.0/";                   	// Input buffer =  12/2 = 6
   char InputBuffer[] = "3E4+";                   	// Input buffer =  3+4 = 7
   //char InputBuffer[] = "3.0E4.0+";                   // Input buffer =  3+4 = 7
   //char InputBuffer[] = "3E4+8E6+/";          			// Input buffer =  (3+4)/(8+6) = 0.5
   //char InputBuffer[] = "3.0E4.0+8.0E6.0+/";          // Input buffer =  (3+4)/(8+6) = 0.5
   //char InputBuffer[] = "4.0E3.0E2.0E1.0E5.0E8.0+";   // Input buffer =   
   //char InputBuffer[] = "5.0E4.0*";                   // Input buffer =  5 * 4
   //char InputBuffer[] = "3.0E5*E4.0E6/+";             // Input buffer =  (3 * 5) + (4 /6)
   //char InputBuffer[] = "8.0E2.0-E6.0E3.0+*";          // Input buffer =  (8-2)*(6+3)

   char OutputBuffer[BUFFER_SIZE];                      // Output  buffer

   byte InputBufferIndex = 0;                           // Input buffer index
   byte OutputBufferIndex = 0;                          // Output buffer index
  

#endif	
